package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.ast.expr.SQLCharExpr;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableCompression extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLCharExpr name;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
      }

      visitor.endVisit(this);
   }

   public SQLCharExpr getName() {
      return this.name;
   }

   public void setName(SQLCharExpr name) {
      if (name != null) {
         name.setParent(this);
      }

      this.name = name;
   }
}
